Несколько уязвимостей в ядре Linux

Дата публикации:
27.07.2007
Всего просмотров:
2815
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Брут-форс атака
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.4.x
Уязвимые версии: Linux kernel версии до 2.4.35.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести брут-форс атаку и вызвать отказ в обслуживании.

1. Уязвимость существует из-за ошибки проверки границ данных из-за использования RTA_MAX вместо RTN_MAX в dn_fib_props[] в файле dn_fib.c и в fib_props[] в файле fib_semantics.c. Злоумышленник может вызвать отказ в обслуживании системы.

2. Уязвимость существует из-за того, что функция "xfer_secondary_pool()" файла drivers/char/random.c использует некорректные данные для переопределения значения seed в генераторе случайных чисел, что уменьшает безопасность приложений, полагающихся на генератор случайных чисел и позволяет злоумышленнику произвести брут-форс атаку.

URL производителя: www.kernel.org

Решение: Установите последнюю версию 2.4.35 с сайта производителя.

Ссылки: http://kernel.org/pub/linux/kernel/v2.4/ChangeLog-2.4.35

или введите имя

CAPTCHA